Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157076 - attempted removal of selected resource causes a traceback
Summary: attempted removal of selected resource causes a traceback
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 16:46 UTC by Corey Marthaler
Modified: 2009-04-16 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 19:58:07 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-05-06 16:46:11 UTC
Description of problem:
When you cascade resources/services, I've found that you can finally get the
'remove selected resource' to highlight, however, when you attempt to actually
remove it, you get a traceback:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ServiceController.py", line 216, in
on_del_resource
    self.current_service.removeChild(robj)
  File "/usr/share/system-config-cluster/TagObject.py", line 17, in removeChild
    self.children.remove(child)
ValueError: list.remove(x): x not in list


Version-Release number of selected component (if applicable):
-48

Comment 1 Stanko Kupcevic 2005-05-06 20:34:28 UTC
Fixed in 0.9.49

Comment 2 Corey Marthaler 2005-05-11 19:58:07 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.